SchemaTransformationRepository
Keywords: uk.ac.ic.doc.automed.SchemaTransformationRepository,SchemaTransformationRepository class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed
Class SchemaTransformationRepository

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.STR
            |
            +--uk.ac.ic.doc.automed.SchemaTransformationRepository

public class SchemaTransformationRepository
extends STR

Old name for the STR

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.STR
`STR_DataSourceName`

Constructor Summary
`SchemaTransformationRepository()`

Methods inherited from class uk.ac.ic.doc.automed.STR
`atDebugLevel, copySchemaObject, createAccessMethod, createIntSchema, createProtocol, createSchema, createSchemaObject, createScheme, createTransformation, debugPrintStackTrace, flattenSchemes, getAccessMethodBySID, getAccessMethodDBDriver, getAccessMethodPID, getAccessMethodSID, getAccessMethodURL, getAccessMethodUsername, getAllProtocols, getAllSchemaNames, getAllSchemeNames, getAllSchemeNamesString, getCloseSchemeBracket, getDataSourceName, getDebugLevel, getObjectSchemeNames, getObjectSchemeNamesString, getOpenSchemeBracket, getProtocolByName, getProtocolName, getSchemaByName, getSchemaIDs, getSchemaName, getSchemaNames, getSchemaObjectCID, getSchemaObjects, getSchemaObjectsByCID, getSchemaObjectSID, getSchemaObjectValue, getSchemaSIDs, getSchemeOBIDList, getSchemePos, getSchemePosList, getSchemeSOBID, getSchemeSOBIDList, getSTR_DataSourceName, getTranAction, getTranConstraint, getTranFromObject, getTranFromSchema, getTranFunction, getTransformations, getTransformationsByOBID, getTranToObject, getTranToSchema, isSchemaCached, isSchemaDataSource, isSchemaExtDB, isSchemaExtSchema, isSchemaObjectTemp, main, removeAccessMethod, removeAccessMethodBySID, removeAllSchemes, removeProtocol, removeSchema, removeSchemaObject, removeScheme, removeTransformation, setAccessMethodDBDriver, setAccessMethodPID, setAccessMethodSID, setAccessMethodURL, setAccessMethodUsername, setCloseSchemeBracket, setDataSourceName, setDebugLevel, setOpenSchemeBracket, setProtocolName, setSchemaCached, setSchemaDataSource, setSchemaExtDB, setSchemaExtSchema, setSchemaName, setSchemaObjectCID, setSchemaObjectSID, setSchemaObjectValue, setSchemeSOBID, setSTR_DataSourceName, setTranAction, setTranConstraint, setTranFromObject, setTranFunction, setTranToObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaTransformationRepository

    public SchemaTransformationRepository()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD